Save This Page
Home » struts-1.3.9-src » org.apache.struts.taglib » html » [javadoc | source]
org.apache.struts.taglib.html
public class: LinkTag [javadoc | source]
java.lang.Object
   javax.servlet.jsp.tagext.TagSupport
      javax.servlet.jsp.tagext.BodyTagSupport
         org.apache.struts.taglib.html.BaseHandlerTag
            org.apache.struts.taglib.html.LinkTag

All Implemented Interfaces:
    BodyTag, IterationTag, Serializable

Direct Known Subclasses:
    SecureLinkTag, RewriteTag, ELFrameTag, FrameTag, ELLinkTag, ELRewriteTag, SecureRewriteTag

Generate a URL-encoded hyperlink to the specified URI.
Field Summary
protected  String text    The body content of this tag (if any). 
protected  String anchor    The anchor to be added to the end of the generated hyperlink. 
protected  String forward   

The logical forward name from which to retrieve the hyperlink URI.

Usage note: If a forward config is used in a hyperlink, and a module is specified, the path must lead to another action and not directly to a page. This is in keeping with rule that in a modular application all links must be to an action rather than a page.

 
protected  String href    The hyperlink URI. 
protected  String linkName    The link name for named links. 
protected static  MessageResources messages    The message resources for this package. 
protected  String name    The JSP bean name for query parameters. 
protected  String page    The module-relative page URL (beginning with a slash) to which this hyperlink will be rendered. 
protected  String action    The module-relative action (beginning with a slash) which will be called by this link 
protected  String module    The module prefix (beginning with a slash) which will be used to find the action for this link. 
protected  String paramId    The single-parameter request parameter name to generate. 
protected  String paramName    The single-parameter JSP bean name. 
protected  String paramProperty    The single-parameter JSP bean property. 
protected  String paramScope    The single-parameter JSP bean scope. 
protected  String property    The JSP bean property name for query parameters. 
protected  String scope    The scope of the bean specified by the name property, if any. 
protected  String target    The window target. 
protected  boolean transaction    Include transaction token (if any) in the hyperlink? 
protected  String indexId    Name of parameter to generate to hold index number 
protected  boolean useLocalEncoding     
Fields inherited from org.apache.struts.taglib.html.BaseHandlerTag:
defaultLocale,  messages,  accesskey,  tabindex,  indexed,  doDisabled,  doReadonly
Constructor:
 public LinkTag() 
Method from org.apache.struts.taglib.html.LinkTag Summary:
calculateURL,   doAfterBody,   doEndTag,   doStartTag,   getAction,   getAnchor,   getForward,   getHref,   getIndexId,   getLinkName,   getModule,   getName,   getPage,   getParamId,   getParamName,   getParamProperty,   getParamScope,   getProperty,   getScope,   getTarget,   getTransaction,   isUseLocalEncoding,   release,   setAction,   setAnchor,   setForward,   setHref,   setIndexId,   setLinkName,   setModule,   setName,   setPage,   setParamId,   setParamName,   setParamProperty,   setParamScope,   setProperty,   setScope,   setTarget,   setTransaction,   setUseLocalEncoding
Methods from org.apache.struts.taglib.html.BaseHandlerTag:
doErrorsExist,   getAccesskey,   getAlt,   getAltKey,   getBundle,   getDisabled,   getElementClose,   getErrorKey,   getErrorStyle,   getErrorStyleClass,   getErrorStyleId,   getIndexValue,   getIndexed,   getLocale,   getOnblur,   getOnchange,   getOnclick,   getOndblclick,   getOnfocus,   getOnkeydown,   getOnkeypress,   getOnkeyup,   getOnmousedown,   getOnmousemove,   getOnmouseout,   getOnmouseover,   getOnmouseup,   getOnselect,   getReadonly,   getStyle,   getStyleClass,   getStyleId,   getTabindex,   getTitle,   getTitleKey,   isXhtml,   lookupProperty,   message,   prepareAttribute,   prepareEventHandlers,   prepareFocusEvents,   prepareIndex,   prepareKeyEvents,   prepareMouseEvents,   prepareName,   prepareOtherAttributes,   prepareStyles,   prepareTextEvents,   release,   setAccesskey,   setAlt,   setAltKey,   setBundle,   setDisabled,   setErrorKey,   setErrorStyle,   setErrorStyleClass,   setErrorStyleId,   setIndexed,   setLocale,   setOnblur,   setOnchange,   setOnclick,   setOndblclick,   setOnfocus,   setOnkeydown,   setOnkeypress,   setOnkeyup,   setOnmousedown,   setOnmousemove,   setOnmouseout,   setOnmouseover,   setOnmouseup,   setOnselect,   setReadonly,   setStyle,   setStyleClass,   setStyleId,   setTabindex,   setTitle,   setTitleKey
Methods from javax.servlet.jsp.tagext.BodyTagSupport:
doAfterBody,   doEndTag,   doInitBody,   doStartTag,   getBodyContent,   getPreviousOut,   release,   setBodyContent
Methods from javax.servlet.jsp.tagext.TagSupport:
doAfterBody,   doEndTag,   doStartTag,   findAncestorWithClass,   getId,   getParent,   getValue,   getValues,   release,   removeValue,   setId,   setPageContext,   setParent,   setValue
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.struts.taglib.html.LinkTag Detail:
 protected String calculateURL() throws JspException 
    Return the complete URL to which this hyperlink will direct the user. Support for indexed property since Struts 1.1
 public int doAfterBody() throws JspException 
    Save the associated label from the body content.
 public int doEndTag() throws JspException 
    Render the end of the hyperlink.
 public int doStartTag() throws JspException 
    Render the beginning of the hyperlink.

    Support for indexed property since Struts 1.1

 public String getAction() 
 public String getAnchor() 
 public String getForward() 
 public String getHref() 
 public String getIndexId() 
 public String getLinkName() 
 public String getModule() 
 public String getName() 
 public String getPage() 
 public String getParamId() 
 public String getParamName() 
 public String getParamProperty() 
 public String getParamScope() 
 public String getProperty() 
 public String getScope() 
 public String getTarget() 
 public boolean getTransaction() 
 public boolean isUseLocalEncoding() 
 public  void release() 
    Release any acquired resources.
 public  void setAction(String action) 
 public  void setAnchor(String anchor) 
 public  void setForward(String forward) 
 public  void setHref(String href) 
 public  void setIndexId(String indexId) 
 public  void setLinkName(String linkName) 
 public  void setModule(String module) 
 public  void setName(String name) 
 public  void setPage(String page) 
 public  void setParamId(String paramId) 
 public  void setParamName(String paramName) 
 public  void setParamProperty(String paramProperty) 
 public  void setParamScope(String paramScope) 
 public  void setProperty(String property) 
 public  void setScope(String scope) 
 public  void setTarget(String target) 
 public  void setTransaction(boolean transaction) 
 public  void setUseLocalEncoding(boolean b)